import { r as registerInstance, g as getElement, j as jsx, H as Host } from './index-C7YNCRgy.js';

const chipCss = () => ``;

const Icon = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    get host() { return getElement(this); }
    size = "m";
    variant = "primary";
    render() {
        const { size, variant } = this;
        return (jsx(Host, { size: size, variant: variant, part: "root", children: jsx("div", { class: "dds-chip", part: "chip", children: jsx("slot", {}, '57338dbba50f088db5a2262af8bc494d229e63e7') }, '261260d1e34795b716dfbe560c3caaa34df0ac59') }, '25cd4d07dc9088d76ff8f3c76b4c6d041e16558b'));
    }
};
Icon.style = chipCss();

export { Icon as dds_chip };
